
*------------------------------------------------------------------------------*
* DATA PREPARATION
*------------------------------------------------------------------------------*

*-------------------
* Prepare working space
*-------------------
clear	all
set		more off

*------------------------------------------------------------------------------*
* PLOTS
*------------------------------------------------------------------------------*


*------------------------------------------------------------------------------*
*[1] % of post-conflict cases with PGM presence inherited from the conflict 
* % of conflict-episodes per p-c peace_year
*------------------------------------------------------------------------------*

*-------------------
* Opend dataset 
*-------------------
	clear
	use 	"Data/cg_postconflict_data_e_sample_10"


*-------------------
* Sort data
*-------------------
	sort	gwno year
	tsset	gwno year


** Keep epidodes from used in the estimation
	drop if pgm_presence==.

** Generate a counter
	gen count = 1


** Collapse data by post-conflict year
	#delimit ;
	collapse (sum) 	count
			, by(peace_years)
	;
	#delimit cr


** Count of countries per year of pc peace: Plot
	*
	gen min = 0
	*
	#delimit ;
	twoway  rbar  min count peace_years if peace_years<=10, col(gs0) barwidth(.5) 
			title("", size(medlarge) ring(10)) 
			xtitle("Post-conflict years", height(10))
			ytitle("Post-conflict episodes", orientation(vertical) height(5))
			yscale(range(0 120))
			xscale(range(1 10))
			ylabel(0(10)120, angle(horizontal) nogrid labsize(small)) ymtick(##10)
			xlabel(1(1)10, angle(horizontal) nogrid labsize(small)) ymtick(##10)
			legend(off)
			plotregion(lc(black) ls(solid) lw(vthin)) 
			ysize(1) xsize(1.5)  
			graphregion(margin(medium) color(white)) 
			scheme(s2mono)
	;
	# delimit cr
	*
	graph export "Figures/cg_postconflict_observations_FigureA1.3.pdf", as(pdf) replace


*-------------------------------------------------------------------------------
* End of do file
*-------------------------------------------------------------------------------
